Netscape Communicator 5.0 won't be backward compatible with their old proprietary DOM, in favour of supporting the W3C DOM Level 1, citing time and resource pressures.

Check out the full CNET article.